import { TrackingSpi } from './tracking_spi';
import { TrackingApi, TrackingEventProperties } from './tracking_api';
export declare class ConsoleTrackingProvider implements TrackingSpi, TrackingApi {
    trackPageView(url: string | undefined): void;
    registerProvider(): void;
    initialize(): void;
    identify(userID: string): void;
    trackSingleItem(item: string, properties?: TrackingEventProperties): void;
    getKey(): string;
}
